Bug 1013030 - (CVE-2013-4310) CVE-2013-4310 struts: broken access control vulnerability
CVE-2013-4310 struts: broken access control vulnerability
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130921,repor...
: Security
Depends On:
Blocks: 1013038
  Show dependency treegraph
 
Reported: 2013-09-27 12:11 EDT by Vincent Danen
Modified: 2013-10-18 13:08 EDT (History)
7 users (show)

See Also:
Fixed In Version: struts 2.3.15.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 00:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-09-27 12:11:47 EDT
Struts 2 action mapping mechanism supports the special parameter prefix action: which is intended to help with attaching navigational information to buttons within forms.

In Struts 2 before 2.3.15.2, under certain conditions this can be used to bypass security constraints. More details will available later on when the patch will be widely adopted.


External References:

http://struts.apache.org/release/2.3.x/docs/s2-018.html
https://issues.apache.org/jira/browse/WW-4200
Comment 1 Vincent Danen 2013-09-27 12:13:51 EDT
Upstream bug report: https://issues.apache.org/jira/browse/WW-4200
Comment 2 gil cattaneo 2013-09-27 12:51:57 EDT
actual Struts version in fedora is 1.3.10
the problem is present only in Struts 2.0.0 and Struts 2.3.15.1
regards
Comment 3 gil cattaneo 2013-09-27 12:56:09 EDT
please close this bug
Comment 4 Vincent Danen 2013-09-27 18:57:00 EDT
Yes, upstream indicates 2.0.0+ but that is only because 1.x is no longer supported (so they never indicate whether it is affected).  Did you see the patch that corrects this issue and verify that it doesn't apply to 1.x?  Or do you have something more concrete than just upstream's "affected versions" value to substantiate this claim?
Comment 5 gil cattaneo 2013-09-28 05:23:36 EDT
hi
not applicabile for 1.x series (required by springframework)
the files that should be patched are not available in 1.x
regards
Comment 6 gil cattaneo 2013-09-28 08:03:16 EDT
structs2 breaks compatibility also with the following package
velocity-tools (springframework BR/R)
i will not update structs2, until depend on tomcat6 apis, or SpringFramework and Velocity tools do not require more
Comment 8 Arun Babu Neelicattu 2013-09-30 00:53:19 EDT
Statement:

Not Vulnerable. This issue only affects struts 2, it does not affect the versions of struts as shipped with various Red Hat products.
Comment 9 David Jorm 2013-09-30 02:56:53 EDT
External References:

https://issues.apache.org/jira/browse/WW-4200

Upstream Patch:

http://svn.apache.org/viewvc?view=revision&revision=r1524296
Comment 10 Vincent Danen 2013-10-18 10:42:05 EDT
Struts 2.3.15.3 GA was announced yesterday, noting this issue as fixed, so possibly the previous fix was not sufficient:

http://seclists.org/fulldisclosure/2013/Oct/146
Comment 11 gil cattaneo 2013-10-18 12:52:28 EDT
(In reply to Vincent Danen from comment #10)
> Struts 2.3.15.3 GA was announced yesterday, noting this issue as fixed, so
> possibly the previous fix was not sufficient:
> 
> http://seclists.org/fulldisclosure/2013/Oct/146
the bug hit only the 2.x series, and if read the previous comments, you can give an answer
Comment 12 Vincent Danen 2013-10-18 13:08:25 EDT
(In reply to gil cattaneo from comment #11)
> the bug hit only the 2.x series, and if read the previous comments, you can
> give an answer

Yes, I'm aware of that.  I was just noting followup information, not implying that 1.x was affected.

Note You need to log in before you can comment on or make changes to this bug.